Statistics dashboards4 matching interfaces
Assemble node dashboard data
composeServerStatNodeBoard
POST
/ServerStatBoardService/composeServerStatNodeBoard- Definition file
service_server_stat_board.proto- Available roles
- Administrator
Original definition
rpc composeServerStatNodeBoard (ComposeServerStatNodeBoardRequest) returns (ComposeServerStatNodeBoardResponse);Request message
ComposeServerStatNodeBoardRequestAssemble node dashboard data
Request message · Field definitions
message ComposeServerStatNodeBoardRequest {
int64 nodeId = 1; // Node ID
}Response message
ComposeServerStatNodeBoardResponseResponse message · Field definitions
message ComposeServerStatNodeBoardResponse {
bool isActive = 1;
int64 trafficInBytes = 2;
int64 trafficOutBytes = 3;
int64 countRequests = 4;
int64 countAttackRequests = 5;
int64 countConnections = 6;
int64 cacheDiskSize = 7;
int64 cacheMemorySize = 8;
float cpuUsage = 9;
float memoryUsage = 10;
int64 memoryTotalSize = 11;
float load = 12;
int64 monthlyTrafficBytes = 13; // This month's traffic
int64 dailyTrafficBytes = 14; // Today's traffic
int64 lastDailyTrafficBytes = 15; // Yesterday's traffic
repeated DailyTrafficStat dailyTrafficStats = 31;
repeated HourlyTrafficStat hourlyTrafficStats = 32;
repeated NodeValue cpuNodeValues = 34; // CPU data
repeated NodeValue memoryNodeValues = 35; // Memory data
repeated NodeValue loadNodeValues = 36; // System load data
repeated NodeValue cacheDirsValues = 38; // Cache directory data
repeated NodeValue networkPacketsValues = 39; // Network packet data
repeated MetricDataChart metricDataCharts = 37;
message DailyTrafficStat {
string day = 1;
int64 bytes = 2;
int64 cachedBytes = 3;
int64 countRequests = 4;
int64 countCachedRequests = 5;
int64 countAttackRequests = 6;
int64 attackBytes = 7;
}
message HourlyTrafficStat {
string hour = 1;
int64 bytes = 2;
int64 cachedBytes = 3;
int64 countRequests = 4;
int64 countCachedRequests = 5;
int64 countAttackRequests = 6;
int64 attackBytes = 7;
}
}